Bug 222637 - (CVE-2007-0235) CVE-2007-0235 Stack overflow libgtop when pathname of mmap()-ed file is too long
CVE-2007-0235 Stack overflow libgtop when pathname of mmap()-ed file is too long
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libgtop2 (Show other bugs)
6
All Linux
high Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
https://launchpad.net/ubuntu/+source/...
impact=moderate,source=gentoo,reporte...
: Security
Depends On:
Blocks: 222638
  Show dependency treegraph
 
Reported: 2007-01-15 08:30 EST by Lubomir Kundrak
Modified: 2014-06-18 05:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.14.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 10:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Gnome bug #396477 libgtop buffer overflow (2.40 KB, patch)
2007-01-15 08:30 EST, Lubomir Kundrak
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 396477 None None None Never

  None (edit)
Description Lubomir Kundrak 2007-01-15 08:30:19 EST
Description of problem:

Stack based buffer overflow occurs, when gnome-system monitor is launched
while process that has a file with too long filename mapped in its address
space (visible via /proc/$PID/maps), and could potentially lead to arbitrary
code execution (mitigated by SSP).

Version-Release number of selected component (if applicable):

At least FC6 and RHEL5 libgtop2.

How reproducible:

Always.

Steps to Reproduce:

# Create a file with too long pathname. Some filesystems limit filenames
# to 255 characters, so use a deep directory hierarchy instead
export dir=$(perl -e " print 's/'x1000;")
mkdir -p $dir

# Copy a binary image thata will get mapped upon execution there and run it.
# Sleep will harmlessly run for some time...
cp /bin/sleep $dir
$dir/sleep 100 &

# Run system monitor while the program is running
gnome-system-monitor

Actual results:

*** stack smashing detected ***: gnome-system-monitor terminated

Expected results:

Gnome-system-monitor should help us on our way to salvation,
eternal and everlasting love and peace.

Additional info:

Patch from upstream is available, see the upstream BTS:
http://bugzilla.gnome.org/show_bug.cgi?id=396477
http://bugzilla.gnome.org/attachment.cgi?id=80254&action=view
Comment 1 Lubomir Kundrak 2007-01-15 08:30:19 EST
Created attachment 145571 [details]
Patch for Gnome bug #396477 libgtop buffer overflow
Comment 2 Josh Bressers 2007-01-25 14:19:29 EST
This flaw also affects FC5
Comment 3 Lubomir Kundrak 2007-08-02 08:14:30 EDT
Sandmann: Please push the updated package into FC6.

Note You need to log in before you can comment on or make changes to this bug.